## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name superqt
%global forgeurl https://github.com/pyapp-kit/superqt

# Disable test. Currently not working.
%bcond tests 0

Name:           python-%{pypi_name}
Version:        0.7.0
Release:        %{autorelease}
Summary:        Missing widgets and components for PyQt/PySide
%forgemeta
# src/superqt/utils/_throttler.py is licensed MIT
License:        BSD-3-Clause AND MIT
URL:            %forgeurl
Source:         %forgesource

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
This package aims to provide high-quality community-contributed Qt
widgets and components for PyQt & PySide that are not provided in the
native QtWidgets module.

Components are tested on:

- macOS, Windows, & Linux
- Python 3.8 and above
- PyQt5 (5.11 and above) & PyQt6
- PySide2 (5.11 and above) & PySide6}

%description %_description


%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%pyproject_extras_subpkg -n python3-%{pypi_name} pyqt6


%prep
%forgeautosetup -p1

# Unpin pyqt6
sed -r -i 's/(pyqt6)<.*"/\1"/' pyproject.toml


%generate_buildrequires
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_buildrequires -x test,pyqt6


%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l %{pypi_name}


%check
%if %{with tests}
# Tests are currently not working with pyqt6
# https://github.com/pyapp-kit/superqt/blob/4bf73c37f193d8c72290ade7ac6ec6a3131ed943/.github/workflows/test_and_deploy.yml#L33
export PYTEST_QT_API="pyqt6"
# test_quantity.py fails with "pkg_resources is deprecated as an API"
%pytest -v --ignore tests/test_quantity.py
%else
%pyproject_check_import
%endif


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.*


%changelog
## START: Generated by rpmautospec
* Sat Dec 14 2024 Packit <hello@packit.dev> - 0.7.0-1
- Update to 0.7.0 upstream release
- Resolves: rhbz#2332411

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 24 2024 Packit <hello@packit.dev> - 0.6.7-1
- Update to 0.6.7 upstream release
- Resolves: rhbz#2290984

* Wed Jun 19 2024 Python Maint <python-maint@redhat.com> - 0.6.5-2
- Rebuilt for Python 3.13

* Mon May 06 2024 Packit <hello@packit.dev> - 0.6.5-1
- Update to 0.6.5 upstream release
- Resolves: rhbz#2279405

* Thu Apr 25 2024 Packit <hello@packit.dev> - 0.6.4-1
- Update to 0.6.4 upstream release
- Resolves: rhbz#2277232

* Wed Mar 27 2024 Packit <hello@packit.dev> - 0.6.3-1
- [packit] 0.6.3 upstream release
- Resolves: rhbz#2271962

* Wed Mar 20 2024 Sandro <devel@penguinpee.nl> - 0.6.2-1
- Initial release (RHBZ#2268682)
## END: Generated by rpmautospec
